Bug 716016

Summary: FTBFS nfs-utils-1.2.3-13.fc16
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: bfields, jlayton, steved
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-04 13:49:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713919    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2011-06-23 11:58:16 EDT
nfs-utils-1.2.3-13.fc16.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 11:58:21 EDT
Created attachment 508408 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 11:58:22 EDT
Created attachment 508409 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 11:58:24 EDT
Created attachment 508410 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 11:58:25 EDT
Created attachment 508411 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 11:58:26 EDT
Created attachment 508412 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 11:58:28 EDT
Created attachment 508413 [details]
mock.log


mock.log for x86_64
Comment 7 J. Bruce Fields 2011-06-23 12:22:07 EDT
Failed to find librpcsecgss; from the end of the build log:

checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GSSGLUE... yes
checking for RPCSECGSS... no
configure: error: Package requirements (librpcsecgss >= 0.16) were not met:
No package 'librpcsecgss' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables RPCSECGSS_CFLAGS
and RPCSECGSS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
Comment 8 Jeff Layton 2011-06-23 13:13:41 EDT
More importantly...

    checking for clnt_tli_create in -ltirpc... no
    configure: WARNING: libtirpc not found. TIRPC disabled!

librpcsecgss shouldn't be necessary now. I wonder if this is trying to build against the known broken libtirpc? Would be nice to have the config.log....
Comment 9 Jeff Layton 2011-06-23 16:04:50 EDT
Yeah, looking back through the logs:

DEBUG util.py:250:   REQ:  libtirpc-devel
DEBUG util.py:250:   --> libtirpc-devel-0.2.2-0.fc16.i686

...and that libtirpc is known to be broken such that you can't link against it (see bug 705412). I think this should now build fine as long as they use 0.2.2-1. Not quite sure why the older package was used here though since the fix went in a few days ago.